Nimbu Developer Docs
ReferenceShipping Rates

Create a shipping rate

POST
/shipping_rates

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/shipping_rates" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "name": "string",
  "default": true,
  "pickup": true,
  "criteria": "string",
  "price": 0,
  "weight_min": 0,
  "weight_max": 0,
  "order_min": 0,
  "order_max": 0,
  "restricted": true,
  "zipcodes": [
    "string"
  ],
  "region_id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "region": {}
}
{
  "message": "string",
  "code": 0,
  "errors": [
    {
      "resource": "string",
      "field": "string",
      "message": "string",
      "code": "string",
      "messages": [
        "string"
      ],
      "codes": [
        "string"
      ],
      "value": null
    }
  ]
}